import json
from Levenshtein import distance

LEVEN_CUT_OFF = 4

papers = []

with open('../papers.txt') as papersfile:
    for line in papersfile:
        papers.append(line.replace('\n', '').lower())

with open('../papers_in_dblp.json') as outputfile:
    with open('../dblp.json', 'w') as inputfile:
        for line in inputfile:
            entry = json.loads(line)
            title = entry.get('title', '')
            if not title:
                continue  # next dblp paper
            else:
                title = title.lower()
            for paper in papers:
                if distance(paper, title, score_cutoff=LEVEN_CUT_OFF) < LEVEN_CUT_OFF+1:
                    outputfile.write(entry + '\n')
                    papers.pop(papers.index(paper))  # Removing found paper from papers list
                    continue  # next dblp paper


print(len(papers), papers)
