import json
from collections import defaultdict

original_authors = ['Truong Ho-Quang', 
                    'Gregorio Robles',
                    'Regina Hebig',
                    'Michel R. V. Chaudron',
                    'Rodi Jolak']

authors = []
coauthors_of_orig = []
non_coauthors_of_orig = []

network = defaultdict(list)

with open('../papers_in_dblp.json') as papersfile:
    for line in papersfile:
        entry = json.loads(line[:-1])
        paper_authors = entry.get('author', '')
        authors.extend(paper_authors)

authors = set(authors)

with open('../dblp.json') as dblpfile:
    for line in dblpfile:
        entry = json.loads(line[:-1])
        paper_authors = entry.get('author', '')
        if authors & set(paper_authors):
            for author in authors & set(paper_authors):
                if author in network:
                    network[author] = network[author] + paper_authors
                else:
                    network[author] = paper_authors

# Removing duplicated connections (and the author himself)
for author in network:
    network[author] = list(set(network[author]))
print(network)

for author in network:
    if set(network[author]) & set(original_authors):
        coauthors_of_orig.append(author)
    else:
        non_coauthors_of_orig.append(author)
        
print(coauthors_of_orig)
print(non_coauthors_of_orig)
